package com.llisoft.sms.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("发送验证码无参请求实体")
public class SendNoCodeRequestVo {
	
	@ApiModelProperty(value="手机号码", example=" ")
	@NotBlank(message="手机号码不能为空")
	@Pattern(regexp="1[0-9]{10}", message="手机号码格式不正确")
	private String phone;

	@ApiModelProperty(value="类型（0麦塔、1青谷）")
	private int type;

	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}

}
